/*
	cancioneiro.css
*/

body {
	font-family: sans-serif;
}

header h1 {
	color: #00529b;
}

article {
	margin: 32px 0;
	padding-bottom: 48px !important;
	position: relative;
}

article p {
	margin: 2px 16px;
}

.small-p {
	height: 0.5em;
}

nav h1,
article h1 {
	margin: 16px;
	color: #00529b;
	border-bottom: 2px solid #00529b;
	padding-bottom: 6px;
	margin-bottom: 8px;
	font-size: 1.8em;
}

article h1 a {
	color: inherit;
	text-decoration: none;
}

article h1 a:hover {
	color: #0088ff;
	/*text-decoration: underline;*/
}

article h2 {
	font-size: 16px;
	margin-left: 16px;
	margin-top: 0;
	margin-bottom: 24px;
}

article h2.nosp {
	margin-bottom: 0;
}

.ref {
	font-style: italic;
	padding: 1em 0;
}
.refnospace {
	font-style: italic;
}

.def {
	font-weight: bold;
	font-style: italic;
	padding-top: 1em;
}
.defnospace {
	font-weight: bold;
	font-style: italic;
}

nav h3 {
	padding-left: 16px;
	margin-bottom: 0;
	color: #00529b;
}
nav ul {
	margin-top: 4px;
	padding-left: 32px;
	padding-right:16px;
}

footer {
	margin: 32px 16px;
	padding: 16px 0;
	position: relative;
}

article .top {
	position: absolute;
	right: 20px;
	bottom: 16px;
}

.top {
	color: #00529b;
	text-decoration: none;
	font-size: 24px;
	user-select: none;
	padding: 0 4px;
	font-weight: bold;
}
.top:hover {
	color: #0088ff;
}

a {
	text-decoration: none;
	color: #00529b;
}

@media screen {
	a:hover {
		color: #0088ff;
	}

	.current li {
		color: #0088ff;
		font-weight: bolder;
		list-style-type: circle;
	}
}

@media print {
	nav {
		color: gray;
	}
	a {
		color: black;
	}
}


/* social-media links */

ul.social-links {
	padding: 10px;
}
.social-links li {
	display: inline-block;
    margin: 2px;
}

.social-links a.fas,
.social-links a.fab {
	background: white;
	width: 36px;
	height: 36px;
	line-height: 36px;
	border-radius: 24px;
	user-select: none;
 }

 footer .social-links {
	margin-bottom: 30px;
	user-select: none;
 }

 /* song-links */
ul.song-links {
	padding: 0;
	margin: -5px 0 0 0;
	float: right;
}
.song-links li {
	display: inline-block;
    margin: 2px;
	text-align: center;
	font-size: 1.2em;
}

.song-links a.fas,
.song-links a.fab {
	color: #00529b;
	user-select: none;
 }

 .song-links a.fas:hover,
 .song-links a.fab:hover {
	 color: #0088ff;
	 user-select: none;
  }
